> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# First steps

This page will guide you through setting up your account, creating your first asset and creating an event. To quickly get started with sending the API requests, use the [API Reference](../../api-reference) tab above to open an API client in your browser.

## 0. Set up a payment method

As described in the [Billing](./billing) article, you must have a valid payment method on file before you can send alerts. Set up a payment method using the steps described in the article.

## 1. Create an asset

To create an asset, use the `POST /v1/accounts/{accountId}/assets` endpoint. The following JSON request body can be used to create an asset.

```json theme={null}
{
    "name": "My first asset",
    "externalId": "123",
    "tier": 1
}
```

The API will respond with the unique ID of the asset:

```json theme={null}
{
    "id": "01990948-8da5-7de1-b8c6-ceccc08c068a"
}
```

## 2. Create an alert rule

To receive alerts, set at least one alert rule for the asset by calling the `POST /v1/accounts/{accountId}/assets/{assetId}/alertRules/{eventType}` endpoint. Use the asset ID you received in the previous API call for the `assetId` placeholder. For the `eventType` placeholder, use one of the values in the `EventType` enumeration. The following JSON will create an alert rule that uses the phone call channel. Don't forget to put in your own phone number.

```json theme={null}
[
    {
        "recipient": {
            "phoneNumber": "+31612345678",
            "culture": "nl-NL",
            "timeZone": "Europe/Amsterdam"
        },
        "channel": {
            "type": 1,
            "call": {}
        }
    }
]
```

## 3. Create an event

Now we can create an event for this asset using the `POST /v1/accounts/{accountId}/assets/{assetId}/events` endpoint. When the event is created, you will receive a phone call alerting you about the event. The following JSON assumes you used event type `1` in the previous API call. Replace the value of the `startedAt` property with a more recent date and time.

```json theme={null}
{
    "type": 1,
    "startedAt": "2025-09-01T00:00:00+00:00"
}
```

## 4. Ring, ring!

If you entered your phone number correctly, you should now receive a phone call alerting you about this event. During the call, you can resolve the event by choosing one of the options presented to you.
